<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ProjectACES: include/IO_dijkstra.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ProjectACES
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">IO_dijkstra.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="IO__dijkstra_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;../include/dijkstra.hpp&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef DIJKSTRA_IO_DIJKSTRA_H</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define DIJKSTRA_IO_DIJKSTRA_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define MAX_RAND_NR 100</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#define FILE_MAX 8192</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">extern</span> <a class="code" href="classDijkstra.html">Dijkstra</a> *<a class="code" href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a>;     </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">void</span> <a class="code" href="IO__dijkstra_8hpp.html#af364850041ab7c41abddd9e2f78c2ac0">input_by_terminal</a>();</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keywordtype">void</span> <a class="code" href="IO__dijkstra_8hpp.html#a46447e94f6e58437e2df57d253e06e41">print_dijkstra_output</a>();</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keywordtype">void</span> <a class="code" href="IO__dijkstra_8hpp.html#acd47201a4c7cd4e0f6a2dcc7fa4bd1fe">print_dijkstra_input</a>();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keywordtype">int</span> <a class="code" href="IO__dijkstra_8hpp.html#a862a3eb61f13fcdaf3ed46d783b183cb">output_to_file</a>(<span class="keywordtype">char</span> *filename);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="keywordtype">int</span> <a class="code" href="IO__dijkstra_8hpp.html#ae2016b31eb4b57201b2fefe90996ee97">input_from_file</a>(<span class="keywordtype">char</span> *filename);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keywordtype">int</span> <a class="code" href="IO__dijkstra_8hpp.html#a2d79b97f0b64ee3ee879c53dea1f03f1">input_from_file_nodes_by_keyboard</a>(<span class="keywordtype">char</span> *filename);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keywordtype">void</span> <a class="code" href="IO__dijkstra_8hpp.html#a6895dc8f6f8b5cb08327c4945f842fcc">input_nodes</a>();</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#endif </span><span class="comment">//DIJKSTRA_IO_DIJKSTRA_H</span></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_a2d79b97f0b64ee3ee879c53dea1f03f1"><div class="ttname"><a href="IO__dijkstra_8hpp.html#a2d79b97f0b64ee3ee879c53dea1f03f1">input_from_file_nodes_by_keyboard</a></div><div class="ttdeci">int input_from_file_nodes_by_keyboard(char *filename)</div><div class="ttdoc">Get the input from file.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:69</div></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_a46447e94f6e58437e2df57d253e06e41"><div class="ttname"><a href="IO__dijkstra_8hpp.html#a46447e94f6e58437e2df57d253e06e41">print_dijkstra_output</a></div><div class="ttdeci">void print_dijkstra_output()</div><div class="ttdoc">Method to print the output.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:53</div></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_a6895dc8f6f8b5cb08327c4945f842fcc"><div class="ttname"><a href="IO__dijkstra_8hpp.html#a6895dc8f6f8b5cb08327c4945f842fcc">input_nodes</a></div><div class="ttdeci">void input_nodes()</div><div class="ttdoc">Set the Dijkstra::starting_node and Dijkstra::target_node.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:105</div></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_a862a3eb61f13fcdaf3ed46d783b183cb"><div class="ttname"><a href="IO__dijkstra_8hpp.html#a862a3eb61f13fcdaf3ed46d783b183cb">output_to_file</a></div><div class="ttdeci">int output_to_file(char *filename)</div><div class="ttdoc">Add the output in a specific file.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:144</div></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_aafb5b424fbe7b42fd0e53e67641fdf41"><div class="ttname"><a href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a></div><div class="ttdeci">Dijkstra * input</div><div class="ttdoc">Global variable.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:17</div></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_acd47201a4c7cd4e0f6a2dcc7fa4bd1fe"><div class="ttname"><a href="IO__dijkstra_8hpp.html#acd47201a4c7cd4e0f6a2dcc7fa4bd1fe">print_dijkstra_input</a></div><div class="ttdeci">void print_dijkstra_input()</div><div class="ttdoc">Method to print the input.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:125</div></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_ae2016b31eb4b57201b2fefe90996ee97"><div class="ttname"><a href="IO__dijkstra_8hpp.html#ae2016b31eb4b57201b2fefe90996ee97">input_from_file</a></div><div class="ttdeci">int input_from_file(char *filename)</div><div class="ttdoc">Get the input from file.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:76</div></div>
<div class="ttc" id="aIO__dijkstra_8hpp_html_af364850041ab7c41abddd9e2f78c2ac0"><div class="ttname"><a href="IO__dijkstra_8hpp.html#af364850041ab7c41abddd9e2f78c2ac0">input_by_terminal</a></div><div class="ttdeci">void input_by_terminal()</div><div class="ttdoc">Method to get the input from terminal.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:19</div></div>
<div class="ttc" id="aclassDijkstra_html"><div class="ttname"><a href="classDijkstra.html">Dijkstra</a></div><div class="ttdoc">Dijkstra class.</div><div class="ttdef"><b>Definition:</b> dijkstra.hpp:61</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
